EDIT - task #8001

Update CDM preference paths for v5.5
01/18/2019 10:46 AM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

See class EditorPreferencePredicate
PreferencePredicates moved to EditorPreferencePredicate:

TaxonNodeOrder
NameDetailsView

IsRedList
DeterminationOnlyForFieldUnits

ShowMediaView
ShowTaxonNodeWizard
DisableMultiClassification
ShowChecklistPerspective

ShowldInSource
ShowNamespacelnSource

/[distribution editor
DistributionEditorActivated
AreasSortedByldInVocabulary

DisplayOfStatus
DisplayOfAreasInDistributionEditor
OwnDescriptionForDistributionEditor

ShowRanklInDistributionEditor
ShowlmportExportMenu
AbcdimportConfig

BioCaseProvider

//specimen

ShowSpecimen
ShowTaxonAssociations

ShowLifeForm
DefaultBehaviourForPublishFlag
possible changes:

"model.taxon. TNO" => taxonnode.order
"model.editor.NDV" => ui.detailsview.name ???

"editor.nameDetails.activated" = ??
There are multiple name details view prdicates, which one is in use

"model.editor. DOFU" => specimen.xxx.determinationOnlyForFieldUnit

"views.showMediaView" = ui.mediaview.show
"views.showTaxonNodeWizard" = ui.taxonnodewizard.show
"menu.disableMultiClassification" = ??
"perspective.checklist" = ui.perspective.default = "checklist" ??

"sourceDetails.ldInSource" = ui.sources.idInSource.show (sollte aber dhnlich wie name details view funktionieren, also entweder
String fur alles oder Einzelwerte fur jedes Attribut)
"sourceDetails.ldInSource" = ui.sources.namelnSource.show

"distribution.editor.activated" = distribution.editor.show
"distribution.editor.areas.displayAreas" = distribution.editor.areas.label
"distribution.area.terms" = distribution.areas.terms (or should it be voc)
distribution.editor.distributionOwnDescription = distribution.editor.distributionOwnDescription
"distribution.editor.showRank" = distribution.editor.rank.show

io.showMenu =io.show

showSpecimen = specimen.show

we may also check default values for preference predicates when implementing this ticket (this is a left over from #7902)

Related issues:

Related to EDIT - feature request #7902: Allow default values for PreferenceP... Closed
Related to EDIT - feature request #9439: Split PreferencePredicates depending... New
History

#1 - 01/18/2019 01:30 PM - Andreas Miiller

- Description updated

#2 - 01/19/2019 01:00 AM - Andreas Miiller
- Priority changed from New to Highest

#3 - 01/21/2019 11:06 AM - Katja Luther

- Description updated

#4 - 01/21/2019 11:07 AM - Katja Luther

- Description updated

#5 - 05/05/2019 11:17 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to COM UML 5.15

#6 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#7 - 02/01/2021 03:41 PM - Andreas Miiller

- Description updated

#8 - 02/01/2021 03:41 PM - Andreas Miiller

- Related to feature request #7902: Allow default values for PreferencePredicates added

#9 - 02/01/2021 03:47 PM - Andreas Miiller
- Related to feature request #9439: Split PreferencePredicates depending on their type added

#10 - 10/26/2021 01:06 PM - Andreas Miiller

- Tags set to preferences
https://dev.e-taxonomy.eu/redmine/issues/7902
http://www.tcpdf.org

